---
######################################
# BIOS processor related setting.
#######################################
BiosVfIntelTurboBoostTech:
    sys/rack-unit-1/bios/bios-settings/Intel-Turbo-Boost-Tech:
        vp_intel_turbo_boost_tech: "enabled"
BiosVfEnhancedIntelSpeedStepTech:
    sys/rack-unit-1/bios/bios-settings/Enhanced-Intel-SpeedStep-Tech:
        vp_enhanced_intel_speed_step_tech: "enabled"
BiosVfIntelHyperThreadingTech:
    sys/rack-unit-1/bios/bios-settings/Intel-HyperThreading-Tech:
        vp_intel_hyper_threading_tech: "enabled"
BiosVfCoreMultiProcessing:
    sys/rack-unit-1/bios/bios-settings/Core-MultiProcessing:
        vp_core_multi_processing: "all"
BiosVfIntelVirtualizationTechnology:
    sys/rack-unit-1/bios/bios-settings/Intel-Virtualization-Technology:
        vp_intel_virtualization_technology: "enabled"
BiosVfProcessorC1E:
    sys/rack-unit-1/bios/bios-settings/Processor-C1E:
        vp_processor_c1_e: "disabled"
BiosVfProcessorC6Report:
    sys/rack-unit-1/bios/bios-settings/Processor-C6-Report:
        vp_processor_c6_report: "disabled"
BiosVfCPUPerformance:
    sys/rack-unit-1/bios/bios-settings/CPU-Performance:
        vp_cpu_performance: "enterprise"
BiosVfCPUEnergyPerformance:
    sys/rack-unit-1/bios/bios-settings/CPU-EngPerfBias:
        vp_cpu_energy_performance: "performance"
BiosVfIntelVTForDirectedIO:
    sys/rack-unit-1/bios/bios-settings/Intel-VT-for-directed-IO:
        #vp_intel_vtd_coherency_support: "enabled"
        #vp_intel_vtd_interrupt_remapping: "enabled"
        #vp_intel_vtd_pass_through_dma_support: "disabled"
        vp_intel_vt_for_directed_io: "enabled"
#BiosVfDirectCacheAccess:
#    sys/rack-unit-1/bios/bios-settings/Direct-Cache-Access:
#        vp_direct_cache_access: "enabled"
#######################################
# BIOS LOM and PCI slot related setting
######################################
BiosVfLOMPortOptionROM:
    sys/rack-unit-1/bios/bios-settings/LOMPort-OptionROM:
        vp_lom_ports_all_state: "disabled"
#BiosVfPCIOptionROMs:
#    sys/rack-unit-1/bios/bios-settings/PCI-OptionROMs:
#        vp_pci_option_ro_ms: "enabled"
###################################
# BIOS setting power restore policy
###################################
BiosVfResumeOnACPowerLoss:
    sys/rack-unit-1/board/Resume-on-AC-power-loss:
        vp_resume_on_ac_power_loss: "reset"
        delay_type: random
#########################################
# BIOS setting for enabeld DIMM blacklist
#########################################
MemoryArray:
    sys/rack-unit-1/board/memarray-1:
        dimm_black_list: "enabled"
